#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF8,0xCD,0xC7,0x16,0x70,0x41,0x09,0x50,0x42,0xD3,0x75,0xDD,
		0x6D,0xDE,0x65,0xCC,0x01,0xB5,0x82,0x6E,0x7E,0xF4,0xE2,0xD3,
		0xE7,0x50,0x86,0xDF,0xE6,0xA6,0xCF,0x8E,0x1A,0x77,0x0E,0x21,
		0xB4,0xC1,0x4F,0x79,0xD9,0x8B,0x71,0x09,0xB1,0x97,0xF9,0x55,
		0x1F,0x69,0x6C,0x07,0xE0,0x35,0x79,0xE6,0x1A,0x48,0x53,0xBF,
		0x9C,0x4D,0xFF,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
